Timeline

Get a note

Retrieve a single note by id in the canonical single-entity envelope.

GET /v2/timeline/notes/{noteId}

Parameters

Path parameters

noteId
string (uuid) required

Query parameters

include
object
select
object

Responses

200 — Successful response

Content-Type: application/json

data
object required
data.note
object required
data.note.id
string (uuid) required
data.note.user_id
string
data.note.note
string | null
data.note.custom_emoji
string | null
data.note.meeting_type
string | null
data.note.meeting_type_id
string (uuid) | null
data.note.event_time
string (date-time)
data.note.created_at
string (date-time)
data.note.google_calendar_event_id_v3
string | null
data.note.oauth_credential_id
string (uuid) | null
data.note.calendar_account_email
string | null
data.note.calendar_account_provider
string enum
Possible values: "GOOGLE", "OFFICE365"
data.note.reminder_id
string (uuid) | null
data.note.channels
array<string enum> required
data.note.next_cursor
string
data.note.meeting_types
object | null required
data.note.timeline_items_contacts
array<object>
data.note.attachments
array<object>

Example

{
  "data": {
    "note": {
      "id": "00000000-0000-0000-0000-000000000000",
      "channels": [
        "whatsapp"
      ],
      "meeting_types": {}
    }
  }
}

400 — Request body failed validation.

Content-Type: application/json

(body)
any

401 — Missing or invalid API key.

Content-Type: application/json

(body)
any

403 — Valid key, insufficient permission.

Content-Type: application/json

(body)
any

404 — Resource does not exist.

Content-Type: application/json

(body)
any

409 — Request conflicts with the current state of the resource.

Content-Type: application/json

(body)
any

429 — Rate limit exceeded.

Content-Type: application/json

(body)
any

500 — Unexpected server error.

Content-Type: application/json

(body)
any

Code samples

curl https://api.prod.getdex.com/v2/timeline/notes/00000000-0000-0000-0000-000000000000 \
  --header 'Authorization: Bearer YOUR_API_KEY'
Copyright © 2026